data <- read.spss("ACEhumaneeducationData.sav", to.data.frame=TRUE)
summary(data)
data$CurrentRedMeatNumeric <- with(data, 
                                   ifelse(CurrentRedMeat == 0, 0, 
                                          ifelse(CurrentRedMeat == 1, .0667, 
                                                 ifelse(CurrentRedMeat == 2, .2143,
                                                        ifelse(CurrentRedMeat == 3, .6429,
                                                               ifelse(CurrentRedMeat == 4, 1.5, 
                                                                      ifelse(CurrentRedMeat == 5, 3.5, 
                                                                             ifelse(CurrentRedMeat == 6, 5.5, NA))))))))
data$CurrentPoultryNumeric <- with(data, 
                                   ifelse(CurrentPoultry == 0, 0, 
                                          ifelse(CurrentPoultry == 1, .0667, 
                                                 ifelse(CurrentPoultry == 2, .2143,
                                                        ifelse(CurrentPoultry == 3, .6429,
                                                               ifelse(CurrentPoultry == 4, 1.5, 
                                                                      ifelse(CurrentPoultry == 5, 3.5, 
                                                                             ifelse(CurrentPoultry == 6, 5.5, NA))))))))
data$CurrentSeafoodNumeric <- with(data, 
                                   ifelse(CurrentSeafood == 0, 0, 
                                          ifelse(CurrentSeafood == 1, .0667, 
                                                 ifelse(CurrentSeafood == 2, .2143,
                                                        ifelse(CurrentSeafood == 3, .6429,
                                                               ifelse(CurrentSeafood == 4, 1.5, 
                                                                      ifelse(CurrentSeafood == 5, 3.5, 
                                                                             ifelse(CurrentSeafood == 6, 5.5, NA))))))))
data$CurrentDairyNumeric <- with(data, 
                                   ifelse(CurrentDairy == 0, 0, 
                                          ifelse(CurrentDairy == 1, .0667, 
                                                 ifelse(CurrentDairy == 2, .2143,
                                                        ifelse(CurrentDairy == 3, .6429,
                                                               ifelse(CurrentDairy == 4, 1.5, 
                                                                      ifelse(CurrentDairy == 5, 3.5, 
                                                                             ifelse(CurrentDairy == 6, 5.5, NA))))))))
data$CurrentEggsNumeric <- with(data, 
                                 ifelse(CurrentEggs == 0, 0, 
                                        ifelse(CurrentEggs == 1, .0667, 
                                               ifelse(CurrentEggs == 2, .2143,
                                                      ifelse(CurrentEggs == 3, .6429,
                                                             ifelse(CurrentEggs == 4, 1.5, 
                                                                    ifelse(CurrentEggs == 5, 3.5, 
                                                                           ifelse(CurrentEggs == 6, 5.5, NA))))))))
data$PastRedMeatNumeric <- with(data, 
                                   ifelse(PastRedmeat == 0, 0, 
                                          ifelse(PastRedmeat == 1, .0667, 
                                                 ifelse(PastRedmeat == 2, .2143,
                                                        ifelse(PastRedmeat == 3, .6429,
                                                               ifelse(PastRedmeat == 4, 1.5, 
                                                                      ifelse(PastRedmeat == 5, 3.5, 
                                                                             ifelse(PastRedmeat == 6, 5.5, NA))))))))
data$PastPoultryNumeric <- with(data, 
                                   ifelse(PastPoultry == 0, 0, 
                                          ifelse(PastPoultry == 1, .0667, 
                                                 ifelse(PastPoultry == 2, .2143,
                                                        ifelse(PastPoultry == 3, .6429,
                                                               ifelse(PastPoultry == 4, 1.5, 
                                                                      ifelse(PastPoultry == 5, 3.5, 
                                                                             ifelse(PastPoultry == 6, 5.5, NA))))))))
data$PastSeafoodNumeric <- with(data, 
                                   ifelse(PastSeafood == 0, 0, 
                                          ifelse(PastSeafood == 1, .0667, 
                                                 ifelse(PastSeafood == 2, .2143,
                                                        ifelse(PastSeafood == 3, .6429,
                                                               ifelse(PastSeafood == 4, 1.5, 
                                                                      ifelse(PastSeafood == 5, 3.5, 
                                                                             ifelse(PastSeafood == 6, 5.5, NA))))))))
data$PastDairyNumeric <- with(data, 
                                 ifelse(PastDairy == 0, 0, 
                                        ifelse(PastDairy == 1, .0667, 
                                               ifelse(PastDairy == 2, .2143,
                                                      ifelse(PastDairy == 3, .6429,
                                                             ifelse(PastDairy == 4, 1.5, 
                                                                    ifelse(PastDairy == 5, 3.5, 
                                                                           ifelse(PastDairy == 6, 5.5, NA))))))))
data$PastEggsNumeric <- with(data, 
                                ifelse(PastEGGS == 0, 0, 
                                       ifelse(PastEGGS == 1, .0667, 
                                              ifelse(PastEGGS == 2, .2143,
                                                     ifelse(PastEGGS == 3, .6429,
                                                            ifelse(PastEGGS == 4, 1.5, 
                                                                   ifelse(PastEGGS == 5, 3.5, 
                                                                          ifelse(PastEGGS == 6, 5.5, NA))))))))
data$CurrentMeat <- data$CurrentRedMeatNumeric + data$CurrentPoultryNumeric + data$CurrentSeafoodNumeric
data$CurrentAnimalProducts <- data$CurrentMeat + data$CurrentDairyNumeric + data$CurrentEggsNumeric
data$PastMeat <- data$PastRedMeatNumeric + data$PastPoultryNumeric + data$PastSeafoodNumeric
data$PastAnimalProducts <- data$PastMeat + data$PastDairyNumeric + data$PastEggsNumeric

data$ChangeRedMeat <- data$CurrentRedMeatNumeric - data$PastRedMeatNumeric

redmodel <- lm(ChangeRedMeat ~ GROUPS, data = data)
summary(redmodel)
summary(data$ChangeRedMeat)

data$ChangePoultry <- data$CurrentPoultryNumeric - data$PastPoultryNumeric
poultrymodel <- lm(ChangePoultry ~ GROUPS, data = data)
summary(poultrymodel)

data$ChangeSeafood <- data$CurrentSeafoodNumeric - data$PastSeafoodNumeric
seafoodmodel <- lm(ChangeSeafood ~  GROUPS, data = data)
summary(seafoodmodel)

data$ChangeMeat <- data$CurrentMeat - data$PastMeat
meatmodel <- lm(ChangeMeat ~  GROUPS, data = data)
summary(meatmodel)

data$ChangeEggs <- data$CurrentEggsNumeric - data$PastEggsNumeric
eggmodel <- lm(ChangeEggs ~ GROUPS, data=data)
summary(eggmodel)

data$ChangeDairy <- data$CurrentDairyNumeric -data$PastDairyNumeric
dairymodel <- lm(ChangeDairy ~ GROUPS, data=data)
summary(dairymodel)

data$ChangeAll <- data$CurrentAnimalProducts-data$PastAnimalProducts
allmodel <- lm(ChangeAll ~ GROUPS, data = data)
summary(allmodel)

# chi square tests experimental vs control

red <- rbind(c(162, 4, 3), c(59, 0, 1))
red
chisq.test(red)
poultry <- rbind(c(161, 3, 5), c(59, 0, 1))
chisq.test(poultry)
fish <- rbind(c(158, 6, 5), c(55, 4, 1))
chisq.test(fish)
eggs <- rbind(c(162, 3, 4), c(58, 0, 2))
chisq.test(eggs)
dairy <- rbind(c(160, 6, 3), c(60, 0, 0))
chisq.test(dairy)

# chi square tests for reduction


chisq.test(sign(data$DeltaRedMeat), data$GROUPS)
chisq.test(sign(data$Deltapoultry), data$GROUPS)
chisq.test(sign(data$Deltaseafood), data$GROUPS)
chisq.test(sign(data$DeltaEggs), data$GROUPS)
chisq.test(sign(data$DeltaDairy), data$GROUPS)
chisq.test(sign(data$DeltaAnimalProducts), data$GROUPS)

# confidence intervals

data.Exp <- subset(data, subset = GROUPS == "Experimental Group")

data.Cont <- subset(data, subset = GROUPS == "Control and did not attend FF presentation")


randomSample = function(df,n) { 
  return (df[sample(nrow(df), n, replace = TRUE),])
}

N <- 10^4

percent.diffr <- numeric(N)
percent.diffp <-numeric(N)
percent.difff <- numeric(N)
percent.diffe <- numeric(N)
percent.diffd <- numeric(N)

for (i in 1:N){
  sample.Exp <- randomSample(data.Exp, 169)
  sample.None <- randomSample(data.Cont, 60)
  
  r.Exp <- (length(which(sample.Exp$SSRedMeat == "Stopped eating"))-length(which(sample.Exp$SSRedMeat == "Started eating")))/(169 - sum(is.na(sample.Exp$SSRedMeat)))
  r.None <- (length(which(sample.None$SSRedMeat == "Stopped eating"))-length(which(sample.None$SSRedMeat == "Started eating")))/(60 - sum(is.na(sample.None$SSRedMeat)))
  
  percent.diffr[i] <- r.Exp-r.None
  
  f.Exp <- (length(which(sample.Exp$SSSeafood == "Stopped eating"))-length(which(sample.Exp$SSSeafood == "Started eating")))/(169 - sum(is.na(sample.Exp$SSSeafood)))
  f.None <- (length(which(sample.None$SSSeafood == "Stopped eating"))-length(which(sample.None$SSSeafood == "Started eating")))/(60 - sum(is.na(sample.None$SSSeafood)))
  percent.difff[i] <- f.Exp-f.None
  
  p.Exp <- (length(which(sample.Exp$SSPoultry == "Stopped eating"))-length(which(sample.Exp$SSPoultry == "Started eating")))/(169 - sum(is.na(sample.Exp$SSPoultry)))
  p.None <- (length(which(sample.None$SSPoultry == "Stopped eating"))-length(which(sample.None$SSPoultry == "Started eating")))/(60 - sum(is.na(sample.None$SSPoultry)))
  
  percent.diffp[i] <- p.Exp-p.None
  
  e.Exp <- (length(which(sample.Exp$SSEggs == "Stopped eating"))-length(which(sample.Exp$SSEggs == "Started eating")))/(169 - sum(is.na(sample.Exp$SSEggs)))
  e.None <- (length(which(sample.None$SSEggs == "Stopped eating"))-length(which(sample.None$SSEggs == "Started eating")))/(60 - sum(is.na(sample.None$SSEggs)))
  
  percent.diffe[i] <- e.Exp-e.None
  
  d.Exp <- (length(which(sample.Exp$SSDairy == "Stopped eating"))-length(which(sample.Exp$SSDairy == "Started eating")))/(169 - sum(is.na(sample.Exp$SSDairy)))
  d.None <- (length(which(sample.None$SSDairy == "Stopped eating"))-length(which(sample.None$SSDairy == "Started eating")))/(60 - sum(is.na(sample.None$SSDairy)))
  
  percent.diffd[i] <- d.Exp-d.None
}


quantile(percent.diffr, c(.025, .975))
quantile(percent.diffp, c(.025, .975))
quantile(percent.difff, c(.025, .975))
quantile(percent.diffe, c(.025, .975))
quantile(percent.diffd, c(.025, .975))




